PTHREAD_SELF(3)

NAME
pthread_self - get the calling thread's ID

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
pthread_t
pthread_self(void);

DESCRIPTION
The pthread_self() function returns the thread ID of the calling thread.

RETURN VALUES
The pthread_self() function returns the thread ID of the calling thread.

ERRORS
None.

SEE ALSO
pthread_create(3), pthread_equal(3), pthread_getthreadid_np(3)

STANDARDS
The pthread_self() function conforms to p1003.1-96.